from django.shortcuts import render
from .models import Shift
import datetime
from django.db.models import F, Count

def index(request):
    # dont show shifts starting in <60 minutes?
    # currently only sorts by date
    free_shifts = Shift.objects.annotate(reg_count=Count('shiftregistration')).filter(start_at__gt=datetime.datetime.now(),
                    room__required_helpers__gt=F('reg_count')).order_by('start_at')
    context = {'free_shifts': free_shifts}
    return render(request, 'shiftlist.html', context)
